Subject: (Fwd) Re: telnetd does not write to tty?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 9 May 2001 22:58:06 +0200

Rob Thorne schrieb am 2001-05-09, 11:28:

> I've just installed Cygwin 1.3, and am trying to get telnetd configured and
> working.  Here's what I've tried so far.
>  
> 1) I've used the to build the files in /etc.  This seems to work fine, and
> they look more or less like the same files on Linux.
> 2) I added entries to /etc/shells for /usr/bin/bash (since there did not
> seem to be a /bin/bash).
> 3) I installed inetd as a service, using the --install-as-service option,
> and start the service.
> 4) If I telnet in as "telnet localhost", I get "login:" and it takes my
> password.  I then get the default login message ("Fanfare!..")
> 5) At this point, telnet hangs, and nothing I type gets echoed back (except
> for for <CR>!).
>  
> I'm at a loss as to how to debug this.  Has anyone seen this problem, and
> have any idea what in addition I need to configure for this to work?

Now it works, but it is not always working, couldn't say why:

siebenschlaefer@LORELEY ~
$ telnet localhost
Trying 127.0.0.1...
Connected to loreley.dynu.com.
Escape character is '^]'.

CYGWIN_NT-4.0 1.3.1(0.38/3/2) (loreley) (tty3)

login: siebenschlaefer
Password:
Fanfare!!!
You are successfully logged in to this server!!!
You have mail.

siebenschlaefer@LORELEY ~
$ ps -e
      PID    PPID    PGID     WINPID TTY  UID    STIME COMMAND
      103       1     103        103  -1   18 10:59:36 /usr/sbin/inetd
      113       1     113        113  -1   18 10:59:38 /usr/local/bin/ipc-daemon
      130     103     103        130  -1   18 10:59:41 /usr/sbin/inetd
      264       1     264        264   0  500 21:40:09 /usr/bin/bash
      275       1     275        275   1  500 21:41:37 /usr/bin/bash
      260     275     260        292   1 1036 21:45:56 /usr/bin/bash
O     145     260     145        301   1 1036 21:50:56 /usr/sbin/fetchnews
      311     264     311        135   0  500 22:34:30 /usr/bin/sh
      333       1     333        333   2  500 22:54:57 /usr/bin/bash
      310     333     310        282   2  500 22:55:08 /usr/bin/telnet
      243     130     103        345  -1   18 22:55:11 /usr/sbin/in.telnetd
      192     243     192        362   3  500 22:55:27 /usr/bin/bash
O     368     311     311        375   0  500 22:55:41 /usr/bin/cat
      380     311     311        380   0  500 22:55:41 /usr/bin/sh
      376     192     376        312   3  500 22:55:42 /usr/bin/ps

siebenschlaefer@LORELEY ~
$ exit
logout
Connection closed by foreign host.

siebenschlaefer@LORELEY ~
$

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple